Subject: Re: Multiple adjacencies per session.

From: Haseeb Budhani <[email-masked]>
Date: Mon, 14 May 2001 19:02:09 -0500

Hi Prem,

Thanks for your reply.

I have a follow-up question: Suppose a session has two adjacencies, and
the session is currently using the TCP connection adjA for LDP-specific
data flow. If adjA goes down for some reason, should the session be
closed down and restarted using the second adjacency adjB that belongs
to this session, or should the session do a hot-swap of sorts and just
start using the second adjacency ?? This could be a a failover
application for LDP, but I'm not really sure if this is what the RFC is
talking about.

I'd appreciate your comments at your convenience.

Thanks. :)

--
Haseeb Budhani.

"Sharma, Prem" wrote:

> Hi,
>
>      -----Original Message-----
>      From: Haseeb Budhani [mailto:[email-masked]]
>      Sent: Monday, May 14, 2001 2:47 PM
>      To: [email-masked]
>      Subject: Multiple adjacencies per session.
>      Hello folks,
>
>      I have a few simple questions pertaining to the existence of
>      multiple adjacencies per session, which RFC3036 says can
>      only happen for point-to-point links (2.5.5 : Maintianing
>      Hello Adjacencies)
>
>      1. Does one "session" between two peers denote one TCP
>      connection between the two ??
>      [Prem Sharma] Yes. There's one TCP connection per session.
>      Two adjacent routers may have many sessions (many label
>      spaces, many LDP Ids) and as many no. of TCP connections.
>
>      2. If the answer to (1) is Yes, does this mean that for n
>      adjacencies in a session, only one -- the primary --
>      adjacency has an active TCP connection, which it uses to
>      exchange LDP specific information, and the other n-1
>      adjacencies remain "idle" ?
>      [Prem Sharma] I would rather put it like this: A session can
>      have multiple adjacencies under its control. The periodic
>      flow of  "Hellos" indicate the liveness of the adjacencies.
>      All the adjacencies under the session have the same LDP
>      identifier and for a specific LDP identifier, a specific
>      transport address is exposed to the peer [If the transport
>      address is not carried in the "Hellos" then the source ip
>      address of the UDP packet is used to establish TCP
>      connection]. Peer uses this transport address to establish
>      TCP connection. Once the TCP connection is established,
>      periodic keep alives over the TCP connection (in case LDP
>      messages are not transacted for some time) indicate the
>      sanity of the TCP connection from the LDP's point of view.
>      Adjacencies are not idle; periodic "Hellos" keep on flowing
>      over them (UDP packets). Once the flow of "Hellos" over an
>      adjacency ceases, the adjacency is assumed inactive. When
>      the last adjacencies under the session goes down, the
>      session is assumed to be inactive.
>
>      3. If the answer to (1) is No, is there a TCP connection set
>      up for every adjacency, and is this TCP connection used to
>      exchange LDP specific data ??
>      [Prem Sharma] No, pls. see the previous response.
>
>      Please get back to me at your earliest convenience
>      [Prem Sharma]
>
>      Hope it helps.
>
>      Prem
>
>      .
>
>      Thank. :)
>
>      --
>      Haseeb Budhani.
>

---

From: "chetan kumar s" <[email-masked]>
Date: Tue, 15 May 2001 09:21:18 +0530 (IST)

On Mon, 14 May 2001, Haseeb Budhani wrote:

Hi,
	Please look at the embedded messages..

> data flow. If adjA goes down for some reason, should the session be

Not exactly, ideally maintenance of session and adjecencies are two
different tasks. But there exists a relation, "if there are no more
adjecencies, then session can not exist, and converse is not true". So
specific to ur question, when the adjA goes down, U can continue with the
session, there is absolutely no change of any sort. If the adjB also goes
down, then U may have the close the session..

> I'd appreciate your comments at your convenience.

Thanks
Chetan S